/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.tests.designer.ui.extension.impl;

import org.eclipse.birt.report.designer.ui.extensions.IReportItemBuilderUI;
import org.eclipse.birt.report.model.api.ExtendedItemHandle;
import org.eclipse.birt.report.model.api.activity.SemanticException;
import org.eclipse.birt.report.model.api.extension.ExtendedElementException;
import org.eclipse.jface.window.Window;


public class ReportItemBuilderUIImpl implements IReportItemBuilderUI
{


		public int open( ExtendedItemHandle handle )
		{
			if ( handle == null )
			{
				return Window.CANCEL;
			}
			try
			{
				handle.loadExtendedElement( );
			}
			catch ( ExtendedElementException e )
			{
				return Window.CANCEL;
			}
			if ( handle.getProperty( ReportItemFigureUIImpl.TEST_PROPERTY[1] ) == null )
			{
				System.out.println( "Created OK" ); //$NON-NLS-1$
				try
				{
					handle.setProperty( ReportItemFigureUIImpl.TEST_PROPERTY[1],
					        ReportItemFigureUIImpl.TEST_ELEMENT_CONTENT[1] );
				}
				catch ( SemanticException e1 )
				{
					return Window.CANCEL;
				}

				return Window.OK;
			}
			try
			{
				int value = ( (Integer) handle.getProperty( ReportItemFigureUIImpl.TEST_PROPERTY[1] ) ).intValue( ) + 1;
				handle.setProperty( ReportItemFigureUIImpl.TEST_PROPERTY[0],
				        ReportItemFigureUIImpl.TEST_ELEMENT_CONTENT_EDITED[0] );
				handle.setProperty( ReportItemFigureUIImpl.TEST_PROPERTY[1], new Integer( value ) );
			}
			catch ( SemanticException e1 )
			{
				return Window.CANCEL;
			}

			System.out.println( "Edit OK" ); 
			return Window.OK;

		}

	};