/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.tests.designer.ui.odadatasource.wizard;

import org.eclipse.jface.dialogs.IMessageProvider;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Table;

import org.eclipse.birt.report.designer.nls.Messages;
import org.eclipse.birt.report.designer.ui.dialogs.properties.AbstractPropertyPage;
import org.eclipse.birt.report.designer.ui.dialogs.properties.IPropertyPage;


public class TestDataSetPropertyPage extends AbstractPropertyPage implements IPropertyPage{
	
	private transient Table resultSetTable = null;
	
	public boolean canLeave()
	{
		return true;
	}
	
	public Control createPageControl( Composite parent )
	{
		resultSetTable = new Table( parent, SWT.FULL_SELECTION | SWT.MULTI );
		
		if (parent!= null)
		{
			return resultSetTable;
			}
		return null;
	}
	
	public void pageActivated( )
	{
		getContainer( ).setMessage( Messages.getString( "dataset.editor.preview" ),//$NON-NLS-1$
				IMessageProvider.NONE );

	}
}
