/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.tests.designer.ui.odadatasource.wizard;

import org.eclipse.birt.report.designer.ui.odadatasource.wizards.AbstractDataSetWizard;
import org.eclipse.birt.report.model.api.DataSetHandle;
import org.eclipse.birt.report.model.api.OdaDataSetHandle;
import org.eclipse.birt.report.model.api.ReportDesignHandle;

public class TestDataSetWizard extends AbstractDataSetWizard{
	
    public boolean doFinish()
    {
        return false;
    }

	public boolean doCancel()
	{
		return true;
	}
	
	public DataSetHandle createDataSet( ReportDesignHandle handle )
	{
        String dataSetType = getConfigurationElement( ).getAttribute( "id" ); //$NON-NLS-1$
        
        String newName = "Test Data Set"; 		//$NON-NLS-1$ 
		OdaDataSetHandle dataSetHandle = handle.getDataSets( )
				.getElementHandle( )
				.getElementFactory( )
				.newOdaDataSet( newName, dataSetType ); //$NON-NLS-1$
		return dataSetHandle;
	}
}

