/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.tests.designer.ui.odadatasource.wizard;


import org.eclipse.birt.report.designer.ui.odadatasource.wizards.AbstractDataSourceConnectionWizard;
import org.eclipse.birt.report.designer.nls.Messages;
import org.eclipse.birt.report.model.api.DataSourceHandle;
import org.eclipse.birt.report.model.api.OdaDataSourceHandle;
import org.eclipse.birt.report.model.api.ReportDesignHandle;
import org.eclipse.birt.report.model.api.activity.SemanticException;

public class TestDataSourceConnectionWizard extends AbstractDataSourceConnectionWizard{

		/**
		 * @param title
		 */
	    TestDataSourcePropertyPage folderPage = null;
		public TestDataSourceConnectionWizard( String title )
		{
			super( title );
		}

		/**
		 *  
		 */
		public TestDataSourceConnectionWizard( )
		{
			super( );
		}

		/*
		 * (non-Javadoc)
		 * 
		 * @see org.eclipse.birt.report.designer.ui.odadatasource.wizards.AbstractDataSourceConnectionWizard#createDataSource(org.eclipse.birt.model.api.ReportDesignHandle)
		 */
		public DataSourceHandle createDataSource( ReportDesignHandle handle )
		{
	  //      String modelExtension = null;
	          String dataSourceType = getConfigurationElement( ).getAttribute( "id" ); //$NON-NLS-1$
	  //      if(Utility.doesDataSourceModelExtensionExist(dataSourceType))
	  //      {
	  //          modelExtension = dataSourceType; 
	  //      }
			OdaDataSourceHandle dsHandle = handle.getDataSources( )
					.getElementHandle( )
					.getElementFactory( )
					.newOdaDataSource( Messages.getString("datasource.new.defaultName"), dataSourceType); //$NON-NLS-1$
	        
			return dsHandle;
		}
		/*
		 * (non-Javadoc)
		 * 
		 * @see org.eclipse.birt.report.designer.ui.odadatasource.wizards.AbstractDataSourceConnectionWizard#createDataSource(org.eclipse.birt.model.api.ReportDesignHandle)
		 */
		
	    public boolean doFinish()
	    {
	        try
	        {
	            getDataSource().setProperty(Constants.ODAHOME, folderPage.getFolderLocation());
	            getDataSource().setProperty(Constants.ODA_INCLTYPELINE, folderPage.getWhetherUseSecondLineAsTypeLine());
	            getDataSource().setProperty(Constants.ODA_CHARSET, folderPage.getCharSet());
	        }
	        catch (SemanticException e)
	        {
	            return false;
	        }
	        return true;
	    }
		/*
		 * (non-Javadoc)
		 * 
		 * @see org.eclipse.birt.report.designer.ui.odadatasource.wizards.AbstractDataSourceConnectionWizard#createDataSource(org.eclipse.birt.model.api.ReportDesignHandle)
		 */
		
		public boolean doCancel()
		{
			return false;
		}
		
		
}