/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.tests.engine;

/**
 *  The method value pare is used to record the parameter value. 
 *  A call can be represented as target.method(paramenters);
 *  
 *  The visiable state of parameters can be determined by the method which 
 *  outside visible.  
 *
 * @ @version $Revision: 1.2 $Date: 2005-6-28 
 */
public class MethodValue {
	private boolean finished;
	private String methodName;
	private boolean isPrimary;
	
	private String className;
	
	/**
	 * if is a primary value, it is the value of it.
	 * If it is not a primary value and finished is false then
	 * it is a like to other MethodValue para. Else it is toString of the value object. 
	 */
	private Object value;  //
	
	
	/**
	 * @return Returns the finished.
	 */
	public boolean isFinished() {
		return finished;
	}
	/**
	 * @param finished The finished to set.
	 */
	public void setFinished(boolean finished) {
		this.finished = finished;
	}
	/**
	 * @return Returns the isPrimary.
	 */
	public boolean isPrimary() {
		return isPrimary;
	}
	/**
	 * @param isPrimary The isPrimary to set.
	 */
	public void setPrimary(boolean isPrimaryValue) {
		this.isPrimary = isPrimaryValue;
	}
	/**
	 * @return Returns the methodName.
	 */
	public String getMethodName() {
		return methodName;
	}
	/**
	 * @param methodName The methodName to set.
	 */
	public void setMethodName(String methodName) {
		this.methodName = methodName;
	}
	/**
	 * @return Returns the value.
	 */
	public Object getValue() {
		return value;
	}
	/**
	 * @param value The value to set.
	 */
	public void setValue(Object value) {
		this.value = value;
	}
	/**
	 * @return Returns the className.
	 */
	public String getClassName() {
		return className;
	}
	/**
	 * @param className The className to set.
	 */
	public void setClassName(String className) {
		this.className = className;
	}
}
