/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.tests.engine;

import java.util.Vector;
import junit.framework.TestCase;
import java.lang.reflect.*;

public class Utils {

    static final Class primaryClass[] = { Integer.class, Long.class,
            String.class, Double.class, Float.class, Boolean.class };

    static CallSequence callSeq;

    public static void mCalled() {
        Throwable t = new Throwable();
        StackTraceElement[] ts = t.getStackTrace();        
    }

    public static void initSeq(boolean record, String fileName) {
        callSeq = new CallSequence(record, fileName);
    }

    public static void called(Object[] params) {
        if (callSeq != null) {
            callSeq.called(params);
        }
    }

    //	public static void verifyCalled(Object[] params) {
    //		callSeq.verifyCalled(params);
    //	}
    //	
    //	public static void mRecordCalled(Object[] params) {
    //		callSeq.recordCalled(params);
    //	}

    public static void finishedSeq() {
        if (callSeq != null) {
            callSeq.finished();
        }
    }

    /**
     * Get one level get value
     * 
     * @param o
     * @return
     */
    public static String getGetValue(Object o) {
        String result = " ( ";
        if (o == null) {
            result += " null ";
        } else {
            Class cal = o.getClass();
            Method[] ms = cal.getMethods();
            for (int i = 0; i < ms.length; i++) {
                if (ms[i].getName().startsWith("get")
                        && (ms[i].getParameterTypes().length == 0)) {
                    try {
                        Object to = ms[i].invoke(o, new Object[] {});
                        if (isPrimary(to)) {
                            result += " | " + ms[i].getName() + " : " + to;
                        }
                    } catch (Exception e) {
                        throw new RuntimeException(e);
                    }
                }
            }
        }
        result += " ) ";
        return result;
    }

    /**
     * Judge the provided object is primary type.
     * 
     * @param o
     * @return
     */
    public static boolean isPrimary(Object o) {
        boolean result = false;
        if (o == null) {
            return true;
        }
        Class clazz = o.getClass();
        for (int i = 0; i < primaryClass.length; i++) {
            if (clazz.equals(primaryClass[i])) {
                result = true;
                break;
            }
        }
        return result;
    }

    public static String getSeqFileName(String caseName) {
        String fileName = System.getProperty("GOLDEN")
                + System.getProperty("file.separator") + caseName + "." + "xml";

        return fileName;
    }
}