/*
 * Created on Nov 9, 2005
 * 
 */
package org.eclipse.birt.report.tests.engine.api;

import java.util.HashMap;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.eclipse.birt.data.engine.api.IQueryResults;
import org.eclipse.birt.report.engine.api.EngineConfig;
import org.eclipse.birt.report.engine.api.IDataPreviewTask;
import org.eclipse.birt.report.engine.api.IReportRunnable;
import org.eclipse.birt.report.engine.api.ReportEngine;
import org.eclipse.birt.report.engine.api.impl.DataPreviewTask;
import org.eclipse.birt.report.tests.engine.EngineCase;


/**
 * Test DataPreviewTask class
 */
public class DataPreviewTaskTest extends EngineCase {

	/**
	 * @param name
	 */
	public DataPreviewTaskTest(String name) {
		super(name);
	}

	public static Test Suite(){
		return new TestSuite(DataPreviewTaskTest.class);
	}
	
	/*
	 * Test executeDataSet( String dataSetName, int maxRow,
	 *		HashMap bindings )
	 */
	public void testExecuteDataSet(){
		EngineConfig config=new EngineConfig();
		ReportEngine engine=new ReportEngine(config);
		
		IReportRunnable reportRunner;

/*		String plug_path=EngineCase.PLUGIN_PATH;
		String file_path=EngineCase.RESOURCE_BUNDLE.getString("CASE_INPUT")
					+System.getProperty("file.separator")+"data_preview_task.rptdesign";
		
		String designName=plug_path+file_path;
*/
		String designName=getBaseFolder()+System.getProperty("file.separator")
							+ INPUT_FOLDER+System.getProperty("file.separator")
							+"data_preview_task.rptdesign";
//		String designName="D:/TEMP/workspace3.1/org.eclipse.birt.report.tests.engine/input/data_preview_task.rptdesign";
		try{
			reportRunner=engine.openReportDesign(designName);
			IDataPreviewTask dpTask=new DataPreviewTask(engine,reportRunner);
			//dpTask.setParameterValue("param1", "1");
			
			HashMap bindings=new HashMap();
			bindings.put("param1","1");
			//bindings.put(new String("p2"),new String("2"));
			String datasetName="Data Set";
			int maxRow=50;
			IQueryResults queryResult;
			queryResult = dpTask.executeDataSet(datasetName,maxRow,bindings);
			assertNotNull("Return null result",queryResult);
		}catch(Exception e){
			e.printStackTrace();
		}
		
	}
}
